Documents

Beta: List documents attached to a slot

get

Return the documents attached to a slot, ordered by upload date (most recent first).

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
site-slugstringRequired

The slug identifier of the site

slot-uidstringRequired

The unique identifier of the slot

Responses
chevron-right
200

List of documents attached to the slot

application/json
uidstringRequired

Unique identifier for the document

slot_uidstringRequired

Unique identifier of the slot the document is attached to

namestringRequired

Display name of the document

filestring Β· uriRequired

URL of the uploaded file

file_sizeintegerRequired

File size in bytes

createdstring Β· date-timeRequired

Upload timestamp in ISO 8601 format

get
/flow/sites/{site-slug}/slots/{slot-uid}/documents/

Beta: Upload a document on a slot

post

Attach a document (PDF, JPEG or PNG, up to 10 MB) to a slot. Up to 10 non-deleted documents can be attached to the same slot. Uploads are rejected on cancelled slots. The created document is returned.

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
site-slugstringRequired

The slug identifier of the site

slot-uidstringRequired

The unique identifier of the slot

Body
filestring Β· binaryRequired

The document file (PDF, JPEG or PNG, max 10 MB)

namestringOptional

Optional display name. Defaults to the uploaded file name.

Responses
post
/flow/sites/{site-slug}/slots/{slot-uid}/documents/

Beta: Delete a slot document

delete

Delete a document attached to a slot. Authenticated callers act with site-manager privileges and can delete any document, regardless of which user uploaded it.

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
site-slugstringRequired

The slug identifier of the site

slot-uidstringRequired

The unique identifier of the slot

doc-uidstringRequired

The unique identifier of the document

Responses
delete
/flow/sites/{site-slug}/slots/{slot-uid}/documents/{doc-uid}/

No content

Last updated

Was this helpful?